Subject: bug#1836: emacs -Q -fn "nonexistent" hangs

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Jan 2009 18:13:50 -0500

>    I've installed a slightly more bold patch which just removes the
>    FRAME_INITIAL_P check altogether.
> (there seem to be a lot of intermediate mails missing from that bug report,
> so it is not clear if there was a problem pointed out with Dan's proposed
> patch, or Stefan just did not foresee this type of problem and thought it
> was safe to go further - Cc'ed both for their recollection of events).

No, I just thought I'd try my luck.  Also I figured that if the extra
check was needed, we'd then learn why.  And indeed, now we learned why.
So when you re-add it, please make sure you add a comment that explains
the circumstance in which it's needed.

        Stefan